Index: kernel/arch/amd64/src/boot/multiboot2.S
===================================================================
--- kernel/arch/amd64/src/boot/multiboot2.S	(revision 9ef1fadef604b9c3871bb759de90bf613963a180)
+++ kernel/arch/amd64/src/boot/multiboot2.S	(revision 8565a42398543d14e36b2df6f7a70c6237b458f8)
@@ -47,5 +47,5 @@
 	.long multiboot2_header_end - multiboot2_header_start
 	.long -(MULTIBOOT2_HEADER_MAGIC + MULTIBOOT2_HEADER_ARCH_I386 + (multiboot2_header_end - multiboot2_header_start))
-	
+
 	/* Information request tag */
 	.align 8
@@ -61,5 +61,5 @@
 #endif
 	tag_info_req_end:
-	
+
 	/* Address tag */
 	.align 8
@@ -73,5 +73,5 @@
 		.long 0
 	tag_address_end:
-	
+
 	/* Entry address tag */
 	.align 8
@@ -82,5 +82,5 @@
 		.long multiboot2_image_start
 	tag_entry_address_end:
-	
+
 	/* Flags tag */
 	.align 8
@@ -91,5 +91,5 @@
 		.long MULTIBOOT2_FLAGS_CONSOLE
 	tag_flags_end:
-	
+
 #ifdef CONFIG_FB
 	/* Framebuffer tag */
@@ -104,5 +104,5 @@
 	tag_framebuffer_end:
 #endif
-	
+
 	/* Module alignment tag */
 	.align 8
@@ -113,5 +113,5 @@
 		.long 0
 	tag_module_align_end:
-	
+
 	/* Tag terminator */
 	.align 8
@@ -126,8 +126,8 @@
 	cli
 	cld
-	
+
 	/* Initialize stack pointer */
 	movl $START_STACK, %esp
-	
+
 	/*
 	 * Initialize Global Descriptor Table and
@@ -136,5 +136,5 @@
 	lgdtl bootstrap_gdtr
 	lidtl bootstrap_idtr
-	
+
 	/* Kernel data + stack */
 	movw $GDT_SELECTOR(KDATA_DES), %cx
@@ -142,5 +142,5 @@
 	movw %cx, %ds
 	movw %cx, %ss
-	
+
 	/*
 	 * Simics seems to remove hidden part of GS on entering user mode
@@ -150,71 +150,71 @@
 	movw %cx, %fs
 	movw %cx, %gs
-	
+
 	jmpl $GDT_SELECTOR(KTEXT32_DES), $multiboot2_meeting_point
 	multiboot2_meeting_point:
-	
+
 	/*
 	 * Protected 32-bit. We want to reuse the code-seg descriptor,
 	 * the Default operand size must not be 1 when entering long mode.
 	 */
-	
+
 	/* Save multiboot arguments */
 	movl %eax, multiboot_eax
 	movl %ebx, multiboot_ebx
-	
+
 	movl $(INTEL_CPUID_EXTENDED), %eax
 	cpuid
 	cmp $(INTEL_CPUID_EXTENDED), %eax
 	ja extended_cpuid_supported
-	
-		jmp pm_error_halt
-	
+
+		jmp pm_error_halt
+
 	extended_cpuid_supported:
-	
+
 	movl $(AMD_CPUID_EXTENDED), %eax
 	cpuid
 	bt $(AMD_EXT_LONG_MODE), %edx
 	jc long_mode_supported
-	
-		jmp pm_error_halt
-	
+
+		jmp pm_error_halt
+
 	long_mode_supported:
-	
+
 	bt $(AMD_EXT_NOEXECUTE), %edx
 	jc noexecute_supported
-	
-		jmp pm_error_halt
-	
+
+		jmp pm_error_halt
+
 	noexecute_supported:
-	
+
 	movl $(INTEL_CPUID_STANDARD), %eax
 	cpuid
 	bt $(INTEL_FXSAVE), %edx
 	jc fx_supported
-	
-		jmp pm_error_halt
-	
+
+		jmp pm_error_halt
+
 	fx_supported:
-	
+
 	bt $(INTEL_SSE2), %edx
 	jc sse2_supported
-	
-		jmp pm_error_halt
-	
+
+		jmp pm_error_halt
+
 	sse2_supported:
-	
+
 	/*
 	 * Enable 64-bit page translation entries - CR4.PAE = 1.
 	 * Paging is not enabled until after long mode is enabled.
 	 */
-	
+
 	movl %cr4, %eax
 	orl $CR4_PAE, %eax
 	movl %eax, %cr4
-	
+
 	/* Set up paging tables */
 	leal ptl_0, %eax
 	movl %eax, %cr3
-	
+
 	/* Enable long mode */
 	movl $AMD_MSR_EFER, %ecx
@@ -222,10 +222,10 @@
 	orl $AMD_LME, %eax        /* set LME = 1 */
 	wrmsr
-	
+
 	/* Enable paging to activate long mode (set CR0.PG = 1) */
 	movl %cr0, %eax
 	orl $CR0_PG, %eax
 	movl %eax, %cr0
-	
+
 	/* At this point we are in compatibility mode */
 	jmpl $GDT_SELECTOR(KTEXT_DES), $start64
@@ -240,19 +240,19 @@
 
 start64:
-	
+
 	/*
 	 * Long mode.
 	 */
-	
+
 	movq $(PA2KA(START_STACK)), %rsp
-	
+
 	/* Create the first stack frame */
 	pushq $0
 	movq %rsp, %rbp
-	
+
 	/* Call amd64_pre_main(multiboot_eax, multiboot_ebx) */
 	movl multiboot_eax, %edi
 	movl multiboot_ebx, %esi
-	
+
 #ifdef MEMORY_MODEL_large
 	movabsq $amd64_pre_main, %rax
@@ -261,5 +261,5 @@
 	callq amd64_pre_main
 #endif
-	
+
 	/* Call main_bsp() */
 #ifdef MEMORY_MODEL_large
@@ -269,5 +269,5 @@
 	callq main_bsp
 #endif
-	
+
 	/* Not reached */
 	cli
